#ifndef QRECTANGLE_H
#define QRECTANGLE_H


#include <QLabel>
#include <canvasitem.h>
#include <textitem.h>


// class QRectangle : public TextItem // QLabel
class QRectangle : public QLabel
{
	friend class CanvasItem;
	Q_OBJECT
public:
	QRectangle(CanvasItem *canvasItem, QWidget *parent = 0);
	~QRectangle();
protected:
	void paintEvent(QPaintEvent *e);
private:
	CanvasItem *item;
};


#endif

